Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 211288 - net-firewall/kmyfirewall 1.1.1 version bump request
Summary: net-firewall/kmyfirewall 1.1.1 version bump request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Netmon Herd
URL: http://www.kmyfirewall.org
Whiteboard:
Keywords:
Depends on:
Blocks: 217729
  Show dependency tree
 
Reported: 2008-02-24 18:22 UTC by Vincent-Xavier JUMEL
Modified: 2008-05-06 07:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
kmyfirewall-1.1.1-hostsview.patch (kmyfirewall-1.1.1-hostsview.patch,6.94 KB, patch)
2008-05-02 09:04 UTC, Matteo Azzali (RETIRED)
Details | Diff
kmyfirewall-1.1.hosts.patch (kmyfirewall-1.1.hosts.patch,1.86 KB, patch)
2008-05-04 07:31 UTC, Matteo Azzali (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent-Xavier JUMEL 2008-02-24 18:22:01 UTC
Kmyfirewall author have released a new version of his iptables interface for KDE. 

Reproducible: Always
Comment 1 Tiziano Müller (RETIRED) gentoo-dev 2008-03-05 09:49:13 UTC
... and the homepage changed.
Comment 2 Peter Volkov (RETIRED) gentoo-dev 2008-03-06 09:02:44 UTC
It crashes here whenever I try to add ath interface. I'll try to get in contact with upstream.
Comment 3 Tiziano Müller (RETIRED) gentoo-dev 2008-03-08 12:36:08 UTC
Couple of stuff is broken or not needed anymore in the ebuild...

--- kmyfirewall-1.0.1-r1.ebuild 2007-07-26 21:06:53.000000000 +0200
+++ kmyfirewall-1.1.1.ebuild    2008-03-08 13:00:51.000000000 +0100
@@ -4,42 +4,34 @@

 inherit kde eutils

-MY_P="${P/_/}"
 DESCRIPTION="Graphical KDE iptables configuration tool"
 HOMEPAGE="http://kmyfirewall.sourceforge.net/"
-SRC_URI="mirror://sourceforge/kmyfirewall/${MY_P}.tar.bz2"
-
+SRC_URI="mirror://sourceforge/kmyfirewall/${P}.tar.bz2"
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="alpha ~amd64 ~ppc sparc x86"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
 IUSE=""

+DEPEND=""
 RDEPEND="net-firewall/iptables"

-S="${WORKDIR}/${MY_P}"
-
 need-kde 3

 src_unpack() {
        kde_src_unpack
-       echo -e "[PATHS]\nDistribution=gentoo\nIPTPath=${ROOT}sbin/iptables\nModprobePath=${ROOT}sbin/modprobe\nrcDefaultPath=${ROOT}etc/runlevels/default/" >> ${S}/kmyfirewall/kmyfirewallrc}
+       echo -e "[PATHS]\nDistribution=gentoo\nIPTPath=${ROOT}sbin/iptables\nModprobePath=${ROOT}sbin/modprobe\nrcDefaultPath=${ROOT}etc/runlevels/default/" >> "${S}/kmyfirewall/kmyfirewallrc"
 }

 src_install() {
        kde_src_install

-       # search path is broken in the app, help it temporarily
-       dosym kpartplugins/kmfinstallerpluginui.rc /usr/share/apps/kmyfirewall/kmfinstallerpluginui.rc
+       domenu kmyfirewall/kmyfirewall.desktop
 }

 pkg_postinst() {
-       make_desktop_entry m "Kmyfirewall" kmyfirewall
        elog
        elog "Only run-as-user menuentry provided. If you want to directly"
        elog "run kmyfirewall as root (inside kdesu), just check:"
-       elog "run-as-other-user inside the menu edit,leving blank the field"
+       elog "run-as-other-user inside the menu edit, laeving blank the field"
        elog
-       ewarn "Use this version if you want to use the new generic interface"
-       ewarn "For iptables interface using 0.9 series is heavily recommended"
-       ewarn "See Bug #165429 for details"
 }
Comment 4 Peter Volkov (RETIRED) gentoo-dev 2008-03-08 13:04:28 UTC
(In reply to comment #3)
> Couple of stuff is broken or not needed anymore in the ebuild...

Tiziano, thank you for comments. Just some notes:
1. domenu is not necessary as make install will install .desktop file for you;
2. dosym is still required there (and even more it's required for two files kmfinstallerpluginui.rc and kmfiptablescompiler.rc;
3. Should we drop ewarn? Does kmyfirewall became stable? At least my first experience is that I do not want to bump it a take responsibility. Crash report is sent upstream, btw.

4. And in my version of ebuild I've changed that echo -e with 'cat > file <<-EOF', for better readability. :)
Comment 5 Peter Volkov (RETIRED) gentoo-dev 2008-03-19 10:35:07 UTC
So I've received the answer from upstream. The bug is strange for Christian (upstream developer) and he didn't manage to reproduce it in kubuntu, so will get no help from him. I'll repost problem I have here:

kmyfirewall crashes, whenever at generic interface I click 'Interfaces' and then 'Add Interface'. This is backtrace:

(gdb) bt
#0  0x0805ad44 in QString::length (this=0x50) at /usr/qt/3/include/qstring.h:879
#1  0xb734801e in replaceArgEscapes (s=@0xbfd86510, d=@0xbfd864b0, field_width=0, arg=@0x50, larg=@0x50)
    at tools/qstring.cpp:1888
#2  0xb7348483 in QString::arg (this=0xbfd86510, a=@0x50, fieldWidth=0) at tools/qstring.cpp:2001
#3  0xb7f0520d in KMF::KMFInterfaceWidget::slotAddInterface (this=0x8297250) at kmfinterfacewidget.cpp:105
#4  0xb7f053ec in KMF::KMFInterfaceWidget::qt_invoke (this=0x8297250, _id=47, _o=0xbfd8660c)
    at kmfinterfacewidget.moc:95
#5  0xb6fbdd10 in QObject::activate_signal (this=0x8299228, clist=0x829dee0, o=0xbfd8660c)
    at kernel/qobject.cpp:2356
#6  0xb6fbeaf3 in QObject::activate_signal (this=0x8299228, signal=4) at kernel/qobject.cpp:2325
#7  0xb73cd45d in QButton::clicked (this=0x8299228) at .moc/debug-shared-mt/moc_qbutton.cpp:152
#8  0xb70739ce in QButton::mouseReleaseEvent (this=0x8299228, e=0xbfd86a14) at widgets/qbutton.cpp:836
#9  0xb6ffe657 in QWidget::event (this=0x8299228, e=0xbfd86a14) at kernel/qwidget.cpp:4677
#10 0xb6f45dfb in QApplication::internalNotify (this=0xbfd8702c, receiver=0x8299228, e=0xbfd86a14)
    at kernel/qapplication.cpp:2635
#11 0xb6f4810d in QApplication::notify (this=0xbfd8702c, receiver=0x8299228, e=0xbfd86a14)
    at kernel/qapplication.cpp:2421
#12 0xb7797fce in KApplication::notify (this=0xbfd8702c, receiver=0x8299228, event=0xbfd86a14)
    at kapplication.cpp:550
#13 0xb6ecdc0d in QApplication::sendSpontaneousEvent (receiver=0x8299228, event=0xbfd86a14)
    at kernel/qapplication.h:499
#14 0xb6ecc884 in QETWidget::translateMouseEvent (this=0x8299228, event=0xbfd86e98)
    at kernel/qapplication_x11.cpp:4298
#15 0xb6eca900 in QApplication::x11ProcessEvent (this=0xbfd8702c, event=0xbfd86e98)
    at kernel/qapplication_x11.cpp:3449
#16 0xb6ee3d40 in QEventLoop::processEvents (this=0x809d758, flags=4) at kernel/qeventloop_x11.cpp:192
#17 0xb6f64ad4 in QEventLoop::enterLoop (this=0x809d758) at kernel/qeventloop.cpp:198
#18 0xb6f647d2 in QEventLoop::exec (this=0x809d758) at kernel/qeventloop.cpp:145
#19 0xb6f47ad1 in QApplication::exec (this=0xbfd8702c) at kernel/qapplication.cpp:2758
#20 0x08063831 in main (argc=Cannot access memory at address 0x1d
) at main.cpp:76
#21 0x443ebfec in __libc_start_main () from /lib/libc.so.6
#22 0x080567d1 in _start ()

Could anybody else reproduce this or am I alone with this problem?
Comment 6 Kfir Ozer 2008-03-28 11:33:43 UTC
kdesu dependency is missing.
Comment 7 Matteo Azzali (RETIRED) gentoo-dev 2008-04-30 18:29:02 UTC
for comment #5 : Peter, I tested it and I'm almost sure that you need to
select one of the items in the view above (either "Gloabl Network" (typo wanted...) or "My Local Computer") before touching anything in the bottom part
of the window.... 
Adding one check to always have an item selected in the listbox at the top
should fix, if nobody else, I'll do as soon as I find some more spare time.
Comment 8 Matteo Azzali (RETIRED) gentoo-dev 2008-05-02 09:04:46 UTC
Created attachment 151587 [details, diff]
kmyfirewall-1.1.1-hostsview.patch

Fixed in a better way: all the bottom part is grayed out at startup and
enabled when you select something, pointing users to the listview in the top
part of the window.
Also corrected some little typos (Gloabl and copmuter).
Comment 9 Matteo Azzali (RETIRED) gentoo-dev 2008-05-04 07:31:49 UTC
Created attachment 151765 [details, diff]
kmyfirewall-1.1.hosts.patch

Argh! Care that correcting the typos may cause your backupped rules unusable,
this is the patch without any typo correction....
Comment 10 Matteo Azzali (RETIRED) gentoo-dev 2008-05-04 07:33:40 UTC
*render your backupped rules unusable. (If already happened, correct the files containing the rules also, Gloabl and copmuter typos...)
Comment 11 Peter Volkov (RETIRED) gentoo-dev 2008-05-06 07:20:04 UTC
Matteo, you did that. Thank you for the fix. I've reported the issue upstream another time and commited kmyfirewall-1.1.1 to the tree with your fix. Many thanks for your work. FIXED.